---
title: CSSUnitValue
slug: Web/API/CSSUnitValue
tags:
  - API
  - CSS Typed Object Model API
  - CSSUnitValue
  - Experimental
  - Houdini
  - Interface
  - Reference
---
<div>{{draft}}{{APIRef("CSS Typed Object Model API")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>CSSUnitValue</code></strong> interface of the {{domxref('CSS Typed Object Model API','','',' ')}} represents values that contain a single unit type. For example, "42px" would be represented by a <code>CSSNumericValue</code>.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
	<dt>{{domxref("CSSStyleValue.CSSUnitValue", "CSSStyleValue.CSSUnitValue()")}}</dt>
	<dd>Creates a new <code>CSSUnitValue</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
	<dt>{{domxref('CSSUnitValue.value')}}</dt>
	<dd>Returns a double indicating the number of units.</dd>
	<dt>{{domxref('CSSUnitValue.unit')}}</dt>
	<dd>Returns a {{jsxref('USVString')}} indicating the type of unit.</dd>
</dl>

<h3 id="Event_handlers">Event handlers</h3>

<p>None.</p>

<h2 id="Methods">Methods</h2>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<p>The following shows a method of creating a {{domxref('CSSPositionValue')}} from individual <code>CSSUnitValue</code> constructors.</p>

<pre class="brush: js">let pos = new CSSPositionValue(
    new CSSUnitValue(5, "px"),
    new CSSUnitValue(10, "px"));</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('CSS Typed OM','#simple-numeric','CSSUnitValue')}}</td>
			<td>{{Spec2('CSS Typed OM')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSUnitValue")}}</p>
